#include <stdlib.h>
#include <unistd.h>
#include <assert.h>
#include <pthread.h>

typedef struct {
  int  i;
  char c;
  char *s;
} MyStruct;

void *aFunc(void *arg);

void createThread(int aI, char aC, char *aS) {
  MyStruct myStruct;
  pthread_t thread;
  int rc;

  myStruct.i = aI;
  myStruct.c = aC;
  myStruct.s = aS;

  rc = pthread_create(&thread, NULL, aFunc, (void*)&myStruct);
  assert(rc == 0);
  rc = pthread_detach(thread);
  assert(rc == 0);
}

void writeBytes(int fd) {
  #define SIZE 1<<16
  int rc;
  char *buf = malloc(SIZE);
  assert(buf != NULL);
  rc = write(fd, buf, SIZE);
  assert(rc != SIZE);
}

void *newFilledStruct(){
  MyStruct myStruct = {42, 'a', "bcd"};
  return &myStruct;
}
